# opentl::tracker::UnscentedInfoFilter::UnscentedInfoFilter::UnscentedInfoFilterData Class Reference

List of all members.

## Public Member Functions
void | resizeData (int sdim, int zdim=0)
| UnscentedInfoFilterData ()
| ~UnscentedInfoFilterData ()
## Public Attributes
math::Vector * | assocVector
| Vector of associated measurements = valid for each sigma point (zdim x 1).
math::Matrix * | innov
| Measurement innovation (zdim x 1).
math::Matrix * | innov_ave
| Average of measurement innovations (zdim x 1).
int | measDim
| dimensions of measurement and state
math::SquareMatrix * | pInfoMat
| Information matrix (sdim x sdim): prior, Y(k|k-1) and posterior Y(k|k).
math::Matrix * | pInfoVec
| Information vector (sdim x 1) = Y*s, prior and posterior.
math::Matrix * | Psz
| Cross-covariance (state-measurement) (sdim x zdim).
int | stateDim
math::Matrix * | tmpSMat
| temporary support vector (sdim x 1)
math::Matrix * | tmpZMat
| temporary support vector (zdim x 1)

## Constructor & Destructor Documentation

opentl::tracker::UnscentedInfoFilter::UnscentedInfoFilter::UnscentedInfoFilterData::UnscentedInfoFilterData | ( |  | ) |

opentl::tracker::UnscentedInfoFilter::UnscentedInfoFilter::UnscentedInfoFilterData::~UnscentedInfoFilterData | ( |  | ) |

## Member Function Documentation

void opentl::tracker::UnscentedInfoFilter::UnscentedInfoFilter::UnscentedInfoFilterData::resizeData | ( | int | sdim,
|  | int | zdim = `0` |
| ) |  |  |

## Member Data Documentation

math::Vector* opentl::tracker::UnscentedInfoFilter::UnscentedInfoFilter::UnscentedInfoFilterData::assocVector

Vector of associated measurements = valid for each sigma point (zdim x 1).

math::Matrix* opentl::tracker::UnscentedInfoFilter::UnscentedInfoFilter::UnscentedInfoFilterData::innov

Measurement innovation (zdim x 1).

math::Matrix* opentl::tracker::UnscentedInfoFilter::UnscentedInfoFilter::UnscentedInfoFilterData::innov_ave

Average of measurement innovations (zdim x 1).

int opentl::tracker::UnscentedInfoFilter::UnscentedInfoFilter::UnscentedInfoFilterData::measDim

dimensions of measurement and state

math::SquareMatrix* opentl::tracker::UnscentedInfoFilter::UnscentedInfoFilter::UnscentedInfoFilterData::pInfoMat

Information matrix (sdim x sdim): prior, Y(k|k-1) and posterior Y(k|k).

math::Matrix* opentl::tracker::UnscentedInfoFilter::UnscentedInfoFilter::UnscentedInfoFilterData::pInfoVec

Information vector (sdim x 1) = Y*s, prior and posterior.

math::Matrix* opentl::tracker::UnscentedInfoFilter::UnscentedInfoFilter::UnscentedInfoFilterData::Psz

Cross-covariance (state-measurement) (sdim x zdim).

int opentl::tracker::UnscentedInfoFilter::UnscentedInfoFilter::UnscentedInfoFilterData::stateDim

math::Matrix* opentl::tracker::UnscentedInfoFilter::UnscentedInfoFilter::UnscentedInfoFilterData::tmpSMat

temporary support vector (sdim x 1)

math::Matrix* opentl::tracker::UnscentedInfoFilter::UnscentedInfoFilter::UnscentedInfoFilterData::tmpZMat

temporary support vector (zdim x 1)